package fr.free.supertos;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import android.content.Context;
import android.content.res.AssetManager;

public class OpenFileGLSLHelper {

	private Context context;

	public OpenFileGLSLHelper(Context context) {
		this.context=context;
	}
	
	// Si shader dans les ressources
	public String onResourceFile (int resourceId)
	{
		InputStream inputStream =context.getResources().openRawResource(resourceId);
		
		InputStreamReader inputStreamReader = new InputStreamReader(inputStream);
		BufferedReader bufferedReader = new BufferedReader(inputStreamReader);
		
		return codeString(bufferedReader);
	}
	
	// Si shader dans le asset
	public String onAssetFile (String fileName)
	{
		InputStream inputStream=null;
		AssetManager assetManager = context.getAssets();
		try {
			inputStream = assetManager.open(fileName);
			
			InputStreamReader inputStreamReader = new InputStreamReader(inputStream);
			BufferedReader bufferedReader = new BufferedReader(inputStreamReader);

			return codeString(bufferedReader);
		} catch (IOException e) {
			// TODO Auto-generated catch block
			return "";
		}
		
	}

	// Convertir en String le contenu du fichier
	private String codeString (BufferedReader bufferedReader)
	{
		String codeGLSL = "";
		String line="";
		try {
			while ((line = bufferedReader.readLine()) != null)
			{
				codeGLSL+=line+'\n';
			}
		} catch (IOException e) {
			// TODO Auto-generated catch block
			return "";
		}
		
		return codeGLSL;
	}
}
